let RESPY_DomclickParser = {
    getData : function() {
        return {
            source : this.getSource(),
            native_id : this.getNativeId(),
            allowExtractPhone : this.allowExtractPhone(),
            address : this.getAddress()
        }
    },

    allowExtractPhone : function(){
        return false;
    },

    getSource : function () {
        return 'domclick';
    },

    getNativeId : function () {
        let href = window.location.href;
        let matches = href.match(/__([0-9]+)/);
        if(matches.length > 0){
            if(matches[1]) {
                return matches[1];
            }
        }
        return null;
    },

    getAddress : function () {
        let location = $('[data-e2e-id="location"] div > span');
        if (location.length > 0) {
            return location.text().trim();
        }
        location = $('.offerHeader_addressTitle');
        if (location.length > 0) {
            return location.text().trim();
        }
        return null;
    }
}