let RESPY_YandexParser = {
    getData: function () {
        return {
            source: this.getSource(),
            native_id: this.getNativeId(),
            region: this.getRegion(),
            allowExtractPhone : this.allowExtractPhone(),
            address: this.getAddress()
        }
    },

    allowExtractPhone : function(){
            return false;
    },

    getSource: function () {
        return 'yandex';
    },

    getNativeId: function () {
        let href = window.location.href;

        if (href.endsWith('/') > 0) {
            href = href.slice(0, href.lastIndexOf('/'));
        }

        href = href.split('/');

        let native_id = null;

        if (href[4] !== 'undefined') {
            native_id = href[4];
        }

        if (href.length > 6) {
            native_id = href.pop();
        }

        if (parseInt(native_id)) {
            return native_id;
        }
    },

    getRegion: function () {
        let regionElem = $("[class^='Breadcrumb__label--']")[1];
        return $(regionElem).text();
    },

    getAddress: function () {
        let addressElem = $("[class^='CardLocation__addressItem-']");
        return $(addressElem).text();
    }

};