let RESPY_AvitoParser = {
    getData : function() {
        return {
            source : this.getSource(),
            native_id : this.getNativeId(),
            allowExtractPhone : this.allowExtractPhone(),
            address : this.getAddress()
        }
    },

    allowExtractPhone : function(){
            return false;
    },

    getSource : function () {
        return 'avito';
    },

    getNativeId : function () {
        let href = window.location.href;
        let matches = href.match(/_([0-9]+)$/);
        if(matches[1]) {
            return matches[1];
        }
        return null;
    },

    getRegion : function () {
        // Невозможно явно определить регион
        return null;
    },

    getAddress : function () {
        let addressBlock = $('[class^=style-item-address__string-]');
        if(addressBlock.length === 0){
            addressBlock = $('.item-address__string');
        }
        let address = addressBlock.text();
        return address.trim();
    }

};