let RESPY_CianParser = {
    getData : function() {
        return {
            source : this.getSource(),
            native_id : this.getNativeId(),
            region : this.getRegion(),
            allowExtractPhone : this.allowExtractPhone(),
            address : this.getAddress()
        }
    },

    allowExtractPhone : function(){
            return false;
    },

    getSource : function () {
        return 'cian';
    },

    getNativeId : function () {
        let href = window.location.href;
        if (href.endsWith('/') > 0) {
            href = href.slice(0, href.lastIndexOf('/'));
        }
        href = href.split('?');
        href = href[0].split('/');
        let native_id = href.pop();
        if(parseInt(native_id)) {
            return native_id;
        }
    },

    getRegion : function () {
        let html = $('html').html();
        let matches = html.match(/"FB_Region":"(.*?)"/);
        if(matches[1]) {
            return matches[1];
        }
        return null;
    },

    getAddress : function () {
        let address = $('[data-name="Geo"] > span[itemprop="name"]').attr('content');
        return address.trim();
    }

};